Unix Technical Forum

vnc issues... are gonna cause me to start banging on the sparc machine now...

This is a discussion on vnc issues... are gonna cause me to start banging on the sparc machine now... within the Sun Solaris Administration forums, part of the Solaris Operating System category; --> honestly, it seems that tightvnc is made not to work for some people, me being one of them. first, ...


Go Back   Unix Technical Forum > Unix Operating Systems > Solaris Operating System > Sun Solaris Administration

FAQ Members List Calendar Search Today's Posts Mark Forums Read
  #1 (permalink)  
Old 01-12-2008, 07:16 AM
Sameer
 
Posts: n/a
Default vnc issues... are gonna cause me to start banging on the sparc machine now...

honestly, it seems that tightvnc is made not to work for some people, me
being one of them.

first, i was having issues with compiling, fortunately i found packages.
then there was a path issue, then there was the font issue. i resolved
these two, but the core issue, that being the display showing as nothign
more than a grey screen, eventhough CDE runs perfectly on the actual system,
still prevails.

i've searched far and wide, but still i have not found a solution to this
problem.

does anyone know what i can do to get CDE, not this useless grey screen to
appear on my vnc sessions?


Digg this Post!Add Post to del.icio.usBookmark Post in TechnoratiFurl this Post!
Reply With Quote
  #2 (permalink)  
Old 01-12-2008, 07:16 AM
Alan Coopersmith
 
Posts: n/a
Default Re: vnc issues... are gonna cause me to start banging on the sparc machine now...

"Sameer" <ssnewsgroups@hotmail.com> writes in comp.unix.solaris:
|first, i was having issues with compiling, fortunately i found packages.
|then there was a path issue, then there was the font issue. i resolved
|these two, but the core issue, that being the display showing as nothign
|more than a grey screen, eventhough CDE runs perfectly on the actual system,
|still prevails.
|
|i've searched far and wide, but still i have not found a solution to this
|problem.
|
|does anyone know what i can do to get CDE, not this useless grey screen to
|appear on my vnc sessions?

Sounds like you've started an X server - that's what all X servers do
if you give them nothing to display - try setting your DISPLAY to the
VNC screen and running /usr/dt/bin/Xsession.

--
__________________________________________________ ______________________
Alan Coopersmith alanc@alum.calberkeley.org
http://www.CSUA.Berkeley.EDU/~alanc/ aka: Alan.Coopersmith@Sun.COM
Working for, but definitely not speaking for, Sun Microsystems, Inc.
Digg this Post!Add Post to del.icio.usBookmark Post in TechnoratiFurl this Post!
Reply With Quote
  #3 (permalink)  
Old 01-12-2008, 07:16 AM
Bruno Saverio Delbono
 
Posts: n/a
Default Re: vnc issues... are gonna cause me to start banging on the sparcmachine now...

Sameer wrote:

> does anyone know what i can do to get CDE, not this useless grey screen to
> appear on my vnc sessions?


Have you tried NXServer? http://www.nomachine.com

My Gnome2 session to a headless e4500:
http://www.mail.ac/users/kevin/desk.jpg

-Bruno
Digg this Post!Add Post to del.icio.usBookmark Post in TechnoratiFurl this Post!
Reply With Quote
  #4 (permalink)  
Old 01-12-2008, 07:16 AM
Markus Gyger
 
Posts: n/a
Default Re: vnc issues... are gonna cause me to start banging on the sparc machine now...

"Sameer" <ssnewsgroups@hotmail.com> writes:
> does anyone know what i can do to get CDE, not this useless grey screen to
> appear on my vnc sessions?


Here is a suggestion for VNC that comes with the Software Companion CD
(this is for an older version, might need adjustments for newers):

--- /opt/sfw/bin/vncserver.orig Wed Mar 27 15:05:46 2002
+++ /opt/sfw/bin/vncserver Thu Aug 1 01:12:51 2002
@@ -40,11 +40,16 @@
$xauthorityFile = "$ENV{HOME}/.Xauthority";

$defaultXStartup
- = ("#!/bin/sh\n\n".
- "xrdb \$HOME/.Xresources\n".
- "xsetroot -solid grey\n".
- "xterm -geometry 80x24+10+10 -ls -title \"\$VNCDESKTOP Desktop\" &\n".
- "twm &\n");
+ = ("#!/usr/bin/ksh -ap\n\n".
+ "SESSIONTYPE=altDt\n".
+ "SDT_ALT_SESSION='/usr/dt/bin/dtsession -norestore'\n".
+ "SDT_ALT_HELLO=/usr/bin/true\n".
+ "DTXSERVERLOCATION=remote\n".
+ "/usr/dt/bin/Xsession &\n\n".
+ "#xrdb \$HOME/.Xresources\n".
+ "#xsetroot -solid grey\n".
+ "#xterm -geometry 80x24+10+10 -ls -title \"\$VNCDESKTOP Desktop\" &\n".
+ "#twm &\n");

chop($host = `uname -n`);

@@ -94,7 +99,7 @@
if (!(-e "$vncUserDir/passwd") || ($mode & 077)) {
warn "\nYou will require a password to access your desktops.\n\n";
system("vncpasswd $vncUserDir/passwd");
- if (($? >> 8) != 0) {
+ if (($? >> 8) == 1) {
exit 1;
}
}
@@ -143,6 +148,7 @@
$cmd .= " -rfbwait 120000";
$cmd .= " -rfbauth $vncUserDir/passwd";
$cmd .= " -rfbport $vncPort";
+$cmd .= " -nolisten local";

# Add font path and color database stuff here, e.g.:
#


Markus
Digg this Post!Add Post to del.icio.usBookmark Post in TechnoratiFurl this Post!
Reply With Quote
  #5 (permalink)  
Old 01-12-2008, 07:16 AM
Sameer
 
Posts: n/a
Default Re: vnc issues... are gonna cause me to start banging on the sparc machine now...

man this was a bear to get working, but i did manage to get it working. i
had to add things to the path, add the font path, and then i had to make the
x-something file in .vnc/ because the installation didn't make it. then to
top it off i had to run vnc with some -querry localhost or some option.

it wasn't a fun activity, but i managed.

thanks though...


Digg this Post!Add Post to del.icio.usBookmark Post in TechnoratiFurl this Post!
Reply With Quote
  #6 (permalink)  
Old 01-12-2008, 07:16 AM
Tim Bradshaw
 
Posts: n/a
Default Re: vnc issues... are gonna cause me to start banging on the sparcmachine now...

* Sameer wrote:
> first, i was having issues with compiling, fortunately i found packages.
> then there was a path issue, then there was the font issue. i resolved
> these two, but the core issue, that being the display showing as nothign
> more than a grey screen, eventhough CDE runs perfectly on the actual system,
> still prevails.


Assuming the grey screen is actually the default X server rootweave,
this probably means that you've managed to run a server. Now you need
to get some applications to run. This either means that you start
them by some startup script - for the VNC we have, which I don't think
is tightvnc but a semi-recent realVNC one, there's some fairly obvious
way of doing this - or that you point the server at something which
talks XDMCP which will then do its thing. I have a hacked together
script which does this (again, for realVNC). Mail me if you want it.

--tim
Digg this Post!Add Post to del.icio.usBookmark Post in TechnoratiFurl this Post!
Reply With Quote
Reply


Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On
Forum Jump


All times are GMT. The time now is 08:30 AM.


Powered by vBulletin® Version 3.6.5
Copyright ©2000 - 2008, Jelsoft Enterprises Ltd.
SEO by vBSEO 3.2.0
www.UnixAdminTalk.com